Board index FlightGear Support 3rd Party Repositories

FGDATA with Submodules. Install scripts available

FGDATA with Submodules. Install scripts available

Postby it0uchpods » Wed May 31, 2017 9:56 pm

FGDATA with Submodules. Install Scripts available

Hi, All

FGDATA with submodules offers a new feature. The install scripts.
Inspired in the methodology we implemented for terraGIT, and making a great usage of the <tag></tag> specifications in the aircraft.xml files, FGDATA with submodules now offers the possibility of installing collections or set of aircrafts in an easy and extensible manner.

SET up

To begin, install the FGDATA with submodules repository

Code: Select all
git clone git@gitlab.com:flightgear-fs/fgdata.git


OR, if you already have a copy of FGDATA with submodules (from either gitlab or sourceforge), simply

Code: Select all
git pull


This will bring you a copy of fgdata by the FGMEMBERS team which, unlike the official FGDATA has the ability to be expanded by installing any aircraft available in FGMEMBERS.

Simply, allow the directory obtained fgdata to be the flightgear root directory ($FG_ROOT), either by using a terminal during launching --fg-root=/path/to/fgdata/with/submodules, or with any launcher you use, including the Qt5 launcher.

Using the Installation scripts


in a git-bash terminal, enter the root directory of your fresh fgdata installation


Code: Select all
cd fgdata


Initially, your FGDATA copy will contain ONLY the ufo.
You will be in control of which aircrafts to install or deinstall; for which the install scripts will be your help

you can use the install/aircraft AcftName script to install one aircraft.
Simply

Code: Select all
install/aircraft extra500


per example, or any aircraftName.

Note that you can activate the flag -a or --allow-nongpl, to install a non GPL aircraft, like

Code: Select all
install/aircraft Optica -a


Removing an aircraft from your FGDATA is equally as simple, just use the correspoding deinstall script


Code: Select all
deinstall/aircraft Optica -a



Image

The install/hangar scripts

In addition to install/aircraft, we have install/hangar available
A hangar will allow aircrafts from a hangar to be installed or de-installed rapidly and efficiently, examples

Code: Select all
install/hangar jwocky --allow-nongpl

[/size]

Therefore, you can use this method to fully install fgaddon hangar (the FGMEMBERS versions of these aircraft) as follows

Code: Select all
install/hangar fgaddon --allow-nongpl


deinstallation works as expected too


Code: Select all
deinstall/hangar jmaverick


Image

[size=150]Installing aircrafts by <tag>


The script install/tag allows you to install/deinstall aircrafts sharing the same tags, examples

Code: Select all
install/tag bizjet
install/tag jet --allow-nongpl
install/tag 1910s
deinstall/tag mitsubishi -a


(a list of all tags currently available: https://gitlab.com/flightgear-fs/fgdata ... stall/tags)
Image

Extending the install scripts via collections

Collections is any list of Aircrafts per line
You can create your own collection and adding the file either in install/collections/ or install/collections-nongpl respectively.

Once the list exists, example:
https://gitlab.com/flightgear-fs/fgdata ... ollections

You can use the install script as follows


Code: Select all
install/collection iahmcol-favorites -a


The collection base-legacy contains the aircrafts that were downloaded by default in versions before FG3.x, and thus

Code: Select all
install/collection base-legacy


Will give you that legacy experience, per example

Code: Select all
deinstall/collection iahmcol-favorites -a

would be an example of using such list via deinstall, too

Image
it0uchpods/WTF411

FGFS Aircraft Developer
Lead Programmer at it0uchpods Design Group
Download High Quality Aircraft from it0uchpods Hangar
User avatar
it0uchpods
 
Posts: 3394
Joined: Tue Oct 06, 2015 12:51 pm
Version: 2018.2.1
OS: Windows 10 x64

Re: FGDATA with Submodules. Install scripts available

Postby Thorsten » Thu Jun 01, 2017 5:33 am

The ability to install into $FGData isn't something important or missing as suggested by the above wording, this is just legacy behavior. Aircraft should go to $FGAircraft instead, they've been removed from $FGData for a reason.

Also, installing a 3rd party $FGData is definitely not recommended by the FG project as it might expose you to stability, security and license violation risks - if you do it, do not report bugs to the Flightgear project.
Thorsten
 
Posts: 9719
Joined: Mon Nov 02, 2009 8:33 am

Re: FGDATA with Submodules. Install scripts available

Postby Parnikkapore » Thu Jun 01, 2017 5:42 am

Or please cite what third-party resources are in your configuration.
There are free alternatives to every program you encounter. You just have to find them.
Parnikkapore
 
Posts: 752
Joined: Thu Oct 29, 2015 10:16 am
Callsign: HS-FGS
Version: next [PPA]
OS: Mint 18

Re: FGDATA with Submodules. Install scripts available

Postby Thorsten » Thu Jun 01, 2017 6:48 am

No, not really. We won't install 3rd party repos to try to reproduce bugs.
Thorsten
 
Posts: 9719
Joined: Mon Nov 02, 2009 8:33 am

Re: FGDATA with Submodules. Install scripts available

Postby Parnikkapore » Thu Jun 01, 2017 8:20 am

I mean, yes, those bug reports aren't accepted on the mailing list for instance, but if the user posts it here on the forum someone also using it (the OP for instance) can provide support.

TLDR: It would not be you trying to understand that bug.
There are free alternatives to every program you encounter. You just have to find them.
Parnikkapore
 
Posts: 752
Joined: Thu Oct 29, 2015 10:16 am
Callsign: HS-FGS
Version: next [PPA]
OS: Mint 18

Re: FGDATA with Submodules. Install scripts available

Postby Thorsten » Thu Jun 01, 2017 8:37 am

Right... glad to learn that there's tons of users dealing with FGData-related bugs here so that developers don't need to do it any more.
Thorsten
 
Posts: 9719
Joined: Mon Nov 02, 2009 8:33 am

Re: FGDATA with Submodules. Install scripts available

Postby it0uchpods » Thu Jun 01, 2017 10:47 am

Thorsten wrote in Thu Jun 01, 2017 5:33 am:Also, installing a 3rd party $FGData is definitely not recommended by the FG project as it might expose you to stability, security and license violation risks - if you do it, do not report bugs to the Flightgear project.


Some users may want to try it (more savvy ones probably), and since FGFS is GPL, they can have a choice whether to use the official $FGDATA or a 3rd party. Its not like we are forcing users to it. :)

Please direct all support/bugs to the Free Flight Free Speech forum.
it0uchpods/WTF411

FGFS Aircraft Developer
Lead Programmer at it0uchpods Design Group
Download High Quality Aircraft from it0uchpods Hangar
User avatar
it0uchpods
 
Posts: 3394
Joined: Tue Oct 06, 2015 12:51 pm
Version: 2018.2.1
OS: Windows 10 x64

Re: FGDATA with Submodules. Install scripts available

Postby Thorsten » Thu Jun 01, 2017 11:30 am

It's not a legal question, it's just a really bad idea since many bugs are out of sync problems between FGData and core - and this ought to be pointed out.
Thorsten
 
Posts: 9719
Joined: Mon Nov 02, 2009 8:33 am

Re: FGDATA with Submodules. Install scripts available

Postby it0uchpods » Thu Jun 01, 2017 12:32 pm

Not if its built for that version number.
it0uchpods/WTF411

FGFS Aircraft Developer
Lead Programmer at it0uchpods Design Group
Download High Quality Aircraft from it0uchpods Hangar
User avatar
it0uchpods
 
Posts: 3394
Joined: Tue Oct 06, 2015 12:51 pm
Version: 2018.2.1
OS: Windows 10 x64

Re: FGDATA with Submodules. Install scripts available

Postby Thorsten » Thu Jun 01, 2017 12:43 pm

This hasn't worked for aircraft forked by FGMembers in the past (leading to several wrong bug reports here), so there's no reason to believe this will work for FGData.

But you're entitled to whatever you like on your computer - just keep it out of this forum if it's not FG but a fork.
Last edited by Thorsten on Thu Jun 01, 2017 12:44 pm, edited 1 time in total.
Thorsten
 
Posts: 9719
Joined: Mon Nov 02, 2009 8:33 am

Re: FGDATA with Submodules. Install scripts available

Postby Richard » Thu Jun 01, 2017 12:43 pm

it0uchpods wrote in Wed May 31, 2017 9:56 pm:FGDATA with Submodules. Install Scripts available


It should be pointed out that this is only for advanced users;

- If you don't understand exactly what "FGData with submodules" is then you probably don't need it.

- if you're only downloading aircraft from within the launcher "FGData with submodules" is probably not going to help.

- If you've already downloaded a selection of aircraft into FlightGear's default location from other hangars, then you may need to remove these (from FG) prior to using the combined FGData and aircrafts.

Personally I prefer to keep my fgdata and aircraft separated, but that's just my view, and I'm in no way discouraging personal choice, just advising that you understand what you're doing to be able to make an informed choice.
Richard
 
Posts: 598
Joined: Sun Nov 02, 2014 10:17 pm
Version: Git
OS: Win10

Re: FGDATA with Submodules. Install scripts available

Postby it0uchpods » Thu Jun 01, 2017 5:15 pm

I can see this will turn into another argument, so I will withhold my further comments.

Good day.
it0uchpods/WTF411

FGFS Aircraft Developer
Lead Programmer at it0uchpods Design Group
Download High Quality Aircraft from it0uchpods Hangar
User avatar
it0uchpods
 
Posts: 3394
Joined: Tue Oct 06, 2015 12:51 pm
Version: 2018.2.1
OS: Windows 10 x64

Re: FGDATA with Submodules. Install scripts available

Postby Richard » Fri Jun 02, 2017 4:42 am

I'm not sure if the script allows selection of the right version of FGData - it should do that automatically otherwise you'll have to switch manually to match the currently installed FlightGear.

Also the script should use the right versions of the models to match the currently installed version of FlightGear - otherwise you may end up with incompatible aircraft. The launcher does this using the package manager within FlightGear core (i.e. to use the current version models, when present, in preference to simply the latest models)
Richard
 
Posts: 598
Joined: Sun Nov 02, 2014 10:17 pm
Version: Git
OS: Win10


Return to 3rd Party Repositories

Who is online

Users browsing this forum: No registered users and 1 guest